# Update client Endpoint: PUT /integration/rest/api/v1/client/{clientId} Version: v0 Security: X-AUTH-KEY ## Path parameters: - `clientId` (string, required) ## Request fields (application/json): - `displayName` (string) New display name (required, unique per org, max 255). - `externalId` (string) New external identifier (required, unique per org, max 255). ## Response 200 fields (*/*): - `createDate` (string) - `updateDate` (string) - `deepLink` (string) Deep link URL to open this entity in Ops.App. - `displayName` (string) Customer-visible display name. Unique per organization (case-insensitive). - `externalId` (string) Customer-side external identifier. Unique per organization (case-insensitive). ## Response 400 fields (*/*): - `code` (string) Error code - `message` (string) Error message - `timeStamp` (integer) Timestamp - `correlationId` (string) Correlation id ## Response 403 fields (*/*): - `code` (string) Error code - `message` (string) Error message - `timeStamp` (integer) Timestamp - `correlationId` (string) Correlation id